Subject: Re: linux-next: manual merge of the devicetree tree with the nand tree

From: Miquel Raynal <[email-masked]>
Date: Thu, 28 May 2020 09:15:28 +0200

Hi Stephen,

Stephen Rothwell <[email-masked]> wrote on Thu, 28 May 2020
14:52:05 +1000:

> Hi all,
> 
> Today's linux-next merge of the devicetree tree got a conflict in:
> 
>   Documentation/devicetree/bindings/mtd/nand-controller.yaml
> 
> between commit:
> 
>   1777341d9335 ("dt-bindings: mtd: Deprecate OOB_FIRST mode")
> 
> from the nand tree and commit:
> 
>   3d21a4609335 ("dt-bindings: Remove cases of 'allOf' containing a '$ref'")
> 
> from the devicetree tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

My change can wait, it's part of a preparation series for a bigger
rework that will come with 5.9 so I'll drop the patch for this release.
I already carry a much bigger release than usual, I don't want to
bother with merge conflicts. Thanks for the fix though!

Cheers,
Miquèl